OBRMS(1)

NAME
obrms - Calculate the heavy-atom RMSD between two chemically identical structures

SYNOPSIS
obrms [-fmxso] filename1 filename2

DESCRIPTION
Computes the heavy-atom RMSD of identical compound structures. Structures in multi-structure files are compared one-by-one unless --firstonly is passed, in which case only the first structure in the reference file is used.

OPTIONS

-f, --firstonly
    use only the first structure in the reference file (otherwise the n-th molecule in the reference file is compared to the n-th molecule in the test file)

-m, --minimize
    Compute the minimum RMSD achievable by applying a rigid-body transformation to the test molecule

-x, --cross
    Compute all n^2 RMSDs between molecules of the reference file. Test file is ignored.

-s, --separate
    Separate reference file into constituent molecules (disconnected fragments) and report best RMSD

-t t, --timeout t
    Give up on matching after specified number of seconds

-o file, --out file
    Re-oriented test structure output (used with -m)

EXAMPLES
    obrms ref.sdf test.sdf

Calculate the RMSD between ref.sdf and test.sdf. Both files should have the same number of molecules.
    obrms -f ref.sdf test.sdf

Calculate the RMSD between the first molecule in ref.sdf and each molecule in test.sdf.

SEE ALSO
obfit(1).

The web pages for Open Babel can be found at: <https://openbabel.org/>

AUTHORS
-nosplit Open Babel is developed by a cast of many, including current maintainers Geoff Hutchison, Chris Morley, Michael Banck, and innumerable others who have contributed fixes and additions. For more contributors to Open Babel, see <https://openbabel.org/docs/Introduction/thanks.html>

COPYRIGHT
Copyright (C) 1998-2001 by OpenEye Scientific Software, Inc.
Some portions Copyright (C) 2001-2007 by Geoffrey R. Hutchison and other contributors.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.